Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.displayelements
Class RasterDisplayElement

    java.lang.Object
      org.deegree.graphics.displayelements.AbstractDisplayElement
          org.deegree.graphics.displayelements.RasterDisplayElement

All Implemented Interfaces:
  Serializable, DisplayElement

    public class RasterDisplayElement

extends AbstractDisplayElement

Since:
  2.0
Version:
  $Revision: 24553 $, 1.0. $Revision: 24553 $, $Date: 2010-05-25 15:39:19 +0200 (Di, 25. Mai 2010) $
Author:
  Andreas Poth, last edited by: $Author: aschmitz $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.deegree.graphics.displayelements.AbstractDisplayElement
`feature`

Constructor Summary
`RasterDisplayElement(GridCoverage gc)` Creates a new RasterDisplayElement_Impl object.
`RasterDisplayElement(GridCoverage gc, RasterSymbolizer symbolizer)` Creates a new RasterDisplayElement_Impl object.
`RasterDisplayElement(GridCoverage gc, RasterSymbolizer symbolizer, GetMap request)`

Method Summary
`boolean` | `doesScaleConstraintApply(double scale)` Returns whether the `DisplayElement` should be painted at the current scale or not.
`GridCoverage` | `getRaster()` returns the content of the `RasterDisplayElement`
`void` | `paint(Graphics g, GeoTransform projection, double scale)` renders the DisplayElement to the submitted graphic context
`void` | `setRaster(GridCoverage gc)` sets the grid coverage that represents the content of the `RasterDisplayElement`

Methods inherited from class org.deegree.graphics.displayelements.AbstractDisplayElement
`getAssociateFeatureId, getFeature, isHighlighted, isSelected, setFeature, setHighlighted, setSelected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RasterDisplayElement

    RasterDisplayElement(GridCoverage gc)

  Creates a new RasterDisplayElement_Impl object.

  Parameters:
    `gc` - raster

### RasterDisplayElement

    RasterDisplayElement(GridCoverage gc,
                         RasterSymbolizer symbolizer)

  Creates a new RasterDisplayElement_Impl object.

  Parameters:
    `gc` - raster
    `symbolizer` -

### RasterDisplayElement

    RasterDisplayElement(GridCoverage gc,
                         RasterSymbolizer symbolizer,
                         GetMap request)

Method Detail

### paint

    public void paint(Graphics g,
                      GeoTransform projection,
                      double scale)

  renders the DisplayElement to the submitted graphic context

  Parameters:
    `g` - graphics context to render to

### getRaster

    public GridCoverage getRaster()

  returns the content of the `RasterDisplayElement`

  Returns:
    gird coverage

### setRaster

    public void setRaster(GridCoverage gc)

  sets the grid coverage that represents the content of the `RasterDisplayElement`

  Parameters:
    `gc` -

### doesScaleConstraintApply

    public boolean doesScaleConstraintApply(double scale)

  Description copied from class: `AbstractDisplayElement`
  Returns whether the `DisplayElement` should be painted at the current scale or not.

  Specified by:
    `doesScaleConstraintApply` in interface `DisplayElement`
  Specified by:
    `doesScaleConstraintApply` in class `AbstractDisplayElement`
  Parameters:
    `scale` - scale to check
  Returns:
    true, if the `DisplayElement` has to be painted, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org